Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.storage.xml
Class XMLHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          edu.stanford.smi.protege.storage.xml.XMLHandler

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

    public class XMLHandler

extends DefaultHandler

Constructor Summary
`XMLHandler(KnowledgeBase kb, boolean isIncluded, Collection errors)`

Method Summary
`void` | `characters(char[] ch, int start, int length)`
`void` | `endElement(String uri, String localName, String qName)`
`void` | `error(SAXParseException exception)`
`void` | `fatalError(SAXParseException exception)`
`void` | `startElement(String uri, String localName, String qName, Attributes atts)`
`void` | `warning(SAXParseException exception)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLHandler

    public XMLHandler(KnowledgeBase kb,
                      boolean isIncluded,
                      Collection errors)

Method Detail

### error

    public void error(SAXParseException exception)

  Specified by:
    `error` in interface `ErrorHandler`
  Overrides:
    `error` in class `DefaultHandler`

### fatalError

    public void fatalError(SAXParseException exception)

  Specified by:
    `fatalError` in interface `ErrorHandler`
  Overrides:
    `fatalError` in class `DefaultHandler`

### warning

    public void warning(SAXParseException exception)

  Specified by:
    `warning` in interface `ErrorHandler`
  Overrides:
    `warning` in class `DefaultHandler`

### startElement

    public void startElement(String uri,
                             String localName,
                             String qName,
                             Attributes atts)

  Specified by:
    `startElement` in interface `ContentHandler`
  Overrides:
    `startElement` in class `DefaultHandler`

### endElement

    public void endElement(String uri,
                           String localName,
                           String qName)

  Specified by:
    `endElement` in interface `ContentHandler`
  Overrides:
    `endElement` in class `DefaultHandler`

### characters

    public void characters(char[] ch,
                           int start,
                           int length)

  Specified by:
    `characters` in interface `ContentHandler`
  Overrides:
    `characters` in class `DefaultHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.